## org.gnu.gdk
Class Span

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gdk.Span

public class Span
extends MemStruct

Represents a horizontal line of pixels starting with the pixel at coordinates x,y and ending before x+width,y.

Constructor Summary
`Span(int x, int y, int width)`

Method Summary
`int` `getWidth()` Retrieve the width of the Span.
`int` `getX()` Retrieve the x coordinate.
`int` `getY()` Retrieve the y coordinate.
`void` `setWidth(int width)` Set the width of the Span.
`void` `setX(int x)` Set the x coordinate.
`void` `setY(int y)` Set the y coordinate.

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Span

    public Span(int x,
                int y,
                int width)

Method Detail

### getX

    public int getX()

  Retrieve the x coordinate.

### setX

    public void setX(int x)

  Set the x coordinate.

  Parameters:
    `x` -

### getY

    public int getY()

  Retrieve the y coordinate.

### setY

    public void setY(int y)

  Set the y coordinate.

  Parameters:
    `y` -

### getWidth

    public int getWidth()

  Retrieve the width of the Span.

### setWidth

    public void setWidth(int width)

  Set the width of the Span.

  Parameters:
    `width` -